System pomocy dla aplikacji Wizualizacja MC812

System pomocy programu
Wizualizacja dla MC812

Aplikacja Wizualizacja MC812 dla Windows 95/98 wersja 2.0 przeznaczona jest do współpracy z uniwersalną kartą pomiarową MC812 poprzez standardowe złącze magistrali ISA komputera typu PC.

Zespół firmy SENGA prosi o kierowanie uwag dotyczących użytkowanych urządzeń i oprogramowania na adres e-mail: senga@senga.com.pl


MC812

Uniwersalna karta pomiarowa MC812

Uniwersalna karta pomiarowa MC812 przeznaczona jest do współpracy z dowolnym komputerem klasy PC, posiadającym złącze ISA, pełniącym rolę stacji wizualizująco-sterującej.

Charakterystyka techniczna:

Ilość kanałów wejściowych analogowych: | 8
Rozdzielczość: | 12 bit
Typ sygnału wejściowego: | napięciowy
Zakres sygnału wejściowego: | +- 5 [V]
Dokładność przetwarzania: | +- 0,1 [%]
Max częstotliwość próbkowania: | 95 [kHz]

Ilość kanałów wyjściowych analogowych: | 1
Rozdzielczość: | 12 bit
Typ sygnału wyjściowego: | napięciowy
Zakres sygnału wyjściowego: | +- 5 [V]
Dokładność przetwarzania: | +- 0,1 [%]
Max częstotliwość przetwarzania: | 95 [kHz]

Ilość sygnałów wejściowych cyfrowych: | 8
Typ sygnału wejściowego: | standard TTL

Ilość sygnałów wyjściowych cyfrowych: | 8
Typ sygnału wyjściowego: | standard TTL (obciążenie 20 bramek TTL dla każdego wyjścia)


Obsługa aplikacji

Interfejs graficzny umożliwia łatwe operowanie przebiegami dając możliwość dokładnego oglądania wykresów i wydrukowania interesujących fragmentów. Do operowania wykresami służy przede wszystkim myszka:
- Wciśnięty lewy klawisz myszy + ruch w lewo | = | "ściskanie" wykresu wzdłuż osi czasu
- Wciśniety lewy klawisz myszy + ruch w prawo | = | "rozciąganie" wykresu wzdłuż osi czasu
- Wciśnięty lewy klawisz myszy + ruch w górę | = | "rozciąganie" wykresu wzdłuż osi wartości
- Wciśnięty lewy klawisz myszy + ruch w dół | = | "ściskanie" wykresu wzdłuż osi wartości
- Wciśnięty prawy klawisz myszy + ruch w lewo | = | przesuwanie wykresu w lewo wzdłuż osi czasu
- Wciśnięty prawy klawisz myszy + ruch w prawo | = | przesuwanie wykresu w prawo wzdłuż osi czasu
- Wciśnięty prawy klawisz myszy + ruch w górę | = | przesuwanie wykresu w górę wzdłuż osi wartości
- Wciśnięty prawy klawisz myszy + ruch w dół | = | przesuwanie wykresu w dół wzdłuż osi wartości
- CTRL + lewy klawisz myszy | = | określa prostokątny obszar wykresu, który ma zostać powiększony
- Podwójne wciśnięcie lewego klawisza myszy | = | cyklicznie przełącza dwadzieścia zapamiętanych postaci wykresu

Oś czasu jest wyskalowana w milisekundach [ms], natomiast oś wartości Woltach [V].


Okno znaczników

 Okno znaczników (menu Widok)

Okno znaczników umożliwia dokładne śledzenie wartości wyświetlanych przebiegów w dziedzinie osi X , osi Y oraz przyrostów wartości w obydwu tych osiach

Aby... | Powinienieś...
uaktywnić funkcję znaczników | wybrać polecenie Znaczniki (menu Narzędzia) lub umieść kursor myszy w wybranym miejscu wykresu i trzymając wciśnięty klawisz SHIFT przyciśnij lewy lub prawy przycisk myszy
przesuwać znacznik płynnie po wykresie | dla znacznika lewego : klawisze strzałek PRAWO i LEWO dla znacznika prawego: klawisze (CTRL+LEWO) i (CTRL+PRAWO)
przesunąć znacznik skokowo w inne miejsce wykresu | lewy znacznik - lewy przycisk myszy prawy znacznik - prawy przycisk myszy
włączyć wyświetlanie wartości liczbowych dla danego kanału | rozwinąć odpowiednie pole okna Znaczniki
zmienić kanał w którym aktywne są znaczniki | wybierz interesujący cię kanał klawiszami 1 do 8 (ustaw jako aktywny)
wyłączyć funkcję znaczników | wybrać polecenie Znaczniki (menu Narzędzia).

W celu wyświetlenia lub ukrycia okna znaczników użyj polecenia Okno znaczników (menu Widok)
W celu uaktywnienia lub ukrycia znaczników użyj polecenia Znaczniki (menu Narzędzia)


OknoWlasciwosci

 Okno Właściwości (menu Narzędzia)

Okno Właściwości umożliwia określenie kolorów wykresów dla każdego z kanałów pomiarowych oraz wyboru adresu bazowego pośredniczącego w komunikacji pomiędzy WIZUALIZACJĄ a kartą MC812.

Zakładka: Kolory

Zakładka umożliwia przyporządkowaniu każdemu z kanałów charakterystycznego dla niego koloru wykresu. Aktualny kolor dla danego kanału jest widoczny w oknie powyżej przycisku 'Wybierz kolor'. Przyciśnięcie przycisku 'Wybierz kolor' pozwala na wybór koloru wykresu dla danego kanału i koloru siatki zgodnie z preferencjami użytkownika. Zaznaczenie pola 'Zaneguj kolory na wydruku' pozwala na dobranie parametrów kolorów dla drukarki. Na przykład w wypadku korzystania z koloru białego jako koloru jednego z wykresów niezaznaczenie tej opcji spowoduje brak tego wykresu na wydruku.Zazanaczenie pola 'Zaneguj kolory na wydruku' spowoduje wydrukowanie tego wykresu w kolorze czarnym. Zaznaczenie tego pola nie wpływa na kolor wykresu na ekranie.

Zakładka: Karta

Zakładka umożliwia określenie adresu przestrzeni I/O komputera używanego przy wymianie danych pomiędzy WIZUALIZACJĄ a kartą. Należy wybrać adres który jest faktycznie ustawiony na przełączniku adres karty MC812. Informacje o zalecanych adresach bazowych karty możan znaleźć w intrukcji instalacji ui użytkowania karty MC812. Poszczególne kontakty przełącznika ADRES odpowiadają następującym adresom PC:

Przełącznik ADRES | Adres PC
1 | A4
2 | A5
3 | A6
4 | A7
5 | A8
6 | A9

Drugą funkcją zakładki jest umożliwienie użytkownikowi zmiany ustawień stopnia wzmocnienia sygnału wejściowego dla poszczególnych kanałów analogowych. Należy zwrócić uwagę na zachowanie zgodności pomiędzy tymi ustawieniami a fizyczną konfiguracją przełączników na karcie MC812
Uwaga:
Ze względu na kompatybilność z wcześniejszymi płytami rozszerzeń serii MCxxx rzeczywiste przyporządkowanie kanałów MC812 przełącznikowi WZMOCNIENIE jest następujące:

Przełącznik WZMOCNIENIE | Kanał analogowy MC812
0 | 1
1 | 2
2 | 3
3 | 4
4 | 5
5 | 6
6 | 7
7 | 8


Menu Plik

Nowy
 Otwórz
 Zamknij
 Zachowaj
 Zachowaj jako
 Eksport danych do
 Drukuj
 Podgląd Wydruku
 Ustawienia druku
 Koniec

Polecenie: Nowy (menu Plik)

Użyj tego polecenia do utworzenia nowego dokumentu WIZUALIZACJI z domyślnymi ustawieniami. Możesz otworzyć istniejący dokument Poleceniem Otwórz (menu Plik).

Skróty
Pasek narzędzi: Nowy
Klawiatura: CTRL+N

Polecenie: Otwórz (menu Plik)

Użyj tego polecenia w celu otwarcia nowego dokumentu z pliku. Wybranie tej komendy powoduje otwarcie okna dialogowego Otwórz plik. Możesz utworzyć nowy dokument Poleceniem Nowy (menu Plik).

Skróty
Pasek narzędzi: Otwórz
Klawiatura: CTRL+O

Polecenie: Zamknij (menu Plik)

Użyj tego polecenia do zamknięcia wszystkich okien zawierających aktywny dokument. WIZUALIZACJA przypomina o zachowaniu informacji zawartych w zamykanym właśnie dokumencie.

Polecenie: Zachowaj (menu Plik)

Użyj tego polecenia do zachowania zawartości aktywnego dokumentu w bieżącym pliku. Jeżeli zachowujesz dany dokument po raz pierwszy to WIZUALIZACJA wywoła Polecenie Zachowaj jako (menu Plik) i umożliwi podanie nazwy pliku i ścieżki dostępu.

Skróty
Pasek narzędzi: Zachowaj

Klawiatura: CTRL+S

Polecenie: Zachowaj jako (menu Plik)

Użyj tego polecenia do zachowania aktywnego dokumentu we wskazanym pliku. Aby zachować dokument w bieżącym pliku użyj Polecenia Zachowaj (menu Plik).

Polecenie: Eksport danych do(menu Plik)

Użyj tego polecenia do zachowania aktualnie zebranych danych we wskazanym pliku w formacie ASCII. Okno daje możliwość wyboru kanałów danych przeznaczonych do zapisania oraz ewentualnego dołączenia jako pierwszej kolumny danych o czasie.
Plik z jednym zarejestrowanym kanałem wejściowym bez zarejestrowanej kolumny czasu może być użyty wprost do generacji wyjścia analogowego z pliku.

Polecenie: Drukuj (menu Plik)

Użyj tego polecenia w celu wydrukowania aktywnego widoku dokumentu. W wyniku wybrania tej komendy zostaje otwarte okno dialogowe Drukuj umożliwiające wybór drukarki oraz przejście do konfiguracji drukarki.

Skróty
Pasek narzędzi: Drukuj

Klawiatura: CTRL+P

Polecenie: Podgląd Wydruku (menu Plik)

Użyj tego polecenia aby przejść do trybu podglądu wydruku. Kiedy wybierzesz tą komendę dotychczasowe okno aplikacji zostanie zastąpione oknem przedstawiającym widok kartki zawierającej taką postać wydruku jaka bedzie w rzeczywistosci. Jednocześnie u góry glównego okna aplikacji pojawi sie pasek z czterema klawiszami: Drukuj, Powiększ, Pomniejsz, Zamknij. Umożliwiają one kolejno: przejście do okna dialogowego Drukuj (patrz Polecenie Drukuj (menu Plik) ), powiększenie lub pomniejszenie podglądu, zakończenie pracy w trybie podglądu wydruku.

Polecenie: Ustawienia Drukarki (menu Plik)

Użyj tego polecenia w celu wskazania aktywnej drukarki, jej skonfigurowania oraz wybrania formatu i orientacji papieru.

Polecenie: Ostatnio Otwierane (menu Plik)

Użyj tego polecenia w celu otwarcia jednego z czterech plików, które ostatnio były aktywne.

Polecenie: Koniec (menu Plik)

Użyj tego polecenia do zakończenia pracy z programem WIZUALIZACJA. Aplikacja przypomina o zachowaniu informacji zawartych w zamykanych właśnie dokumentach.

Skróty
Klawiatura: ALT+F4


Menu Edycjak

Menu Edycja

Polecenie: Kopiuj
Polecenie: Kopiuj z negacją

Polecenie: Kopiuj (menu Edycja)

Polecenie 'Kopiuj' kopiuje aktualny widok (obszar wykresu) do pliku bitmapy w celu przeniesienia jej za pomocą 'schowka systemu Windows' do innej aplikacji. Wklejenie następuje poprzez standardowe polecenie 'Wklej' danej aplikacji.

Polecenie: Kopiuj z negacją (menu Edycja)

Polecenie 'Kopiuj z negacją' kopiuje aktualny widok (obszar wykresu) do pliku bitmapy z negacją kolorów w celu przeniesienia jej za pomocą 'schowka systemu Windows' do innej aplikacji. Wklejenie następuje poprzez standardowe polecenie 'Wklej' danej aplikacji. Negacja kolorów umożliwia np. otrzymanie czarnego wykresu na białym tle w trorzonym pliku bitmapy.


Menu Plik

Menu Widok

Polecenie: Pasek narzędzi
Polecenie: Pasek statutu
Polecenie: Okno znaczników

Polecenie: Pasek narzędzi (menu Widok)

Wybranie tej opcji powoduje wyświetlenie lub ukrycie paska narzędzi

Zobacz także: Pasek narzędzi

Polecenie: Pasek stanu (menu Widok)

Wybranie tej opcji powoduje wyświetlenie lub ukrycie paska narzędzi

Zobacz także: Pasek stanu

Polecenie: Okno znaczników (menu Widok)

Wybranie tej opcji powoduje wyświetlenie lub ukrycie okna znaczników analizy przebiegów

Zobacz także: Okno znaczników


Menu Akwizycja

Polecenie: Parametry akwizycji - Ogólne
Polecenie: Parametry akwizycji - Wyzwalanie
Polecenie: Start
Polecenie: Rejestracja
Polecenie: Zarejestrowane parametry

Polecenie: Parametry akwizycji - Ogólne (menu Akwizycja)

Użycie tego polecenia otwiera okno 'Parametry akwizycji' umożliwiające określenie parametrów charakterystycznych próbkowania wejść analogowych.

Parametry akwizycji

Ustalane parametry:

Częstotliwość akwizycji

Wybierana z listy rozwijanej określa łączną częstotliwość próbkowania dla wszystkich kanałów analogowych określonych jako aktywne.

np.

Dla częstotliwości akwizycji = 20000 Hz
i wybrania jako aktywne kanałów 1 i 3

Rzeczywista częstotliwość próbkowania dla pojedynczego kanału wynosi

Fa = Częstotliwość akwizycji / Ilość kanałów aktywnych

Fa = 20000/2 = 10000 Hz

Ustalona wartość częstotliwości akwizycji jest zatwierdzana i przekazywana do karty poprzez naciśnięcie klawisza '>' znajdującego się obok pola wyboru częstotliwości.

Czas trwania akwizycji

Ustalany w sekundach (lub jej częściach) określa czas trwania próbkowania wybranych kanałów analogowych. Jest to rzeczywisty czas akwizycji niezależny od ilości kanałów określonych jako aktywne

Ustalona wartość czasu trwania akwizycji jest zatwierdzana i przekazywana do karty poprzez naciśnięcie klawisza '^ ^' znajdującego się ponad polem wyboru czasu trwania akwizycji.

Tryb pracy kanałów

Zanaczenie pola 'praca różnicowa' konfiguruje wejściowe kanały analogowe do pracy w trybie różnicowym powoduje konfigurację wejść w następujący sposób:

Kanał skonfigurowany jako różnicowy | Potencjał DODATNI | Potencjał UJEMNY
Kanał 1 | A/C CH1H | A/C CH1L
Kanał 3 | A/C CH3H | A/C CH3L
Kanał 5 | A/C CH5H | A/C CH5L
Kanał 7 | A/C CH7H | A/C CH7L

Bardzo istotne jest w wypadku pracy z kanałami różnicowymi odpowiednie skonfigurowanie stopni wzmocnienia kanałów analogowych. Niedopuszczalna jest praca przy różnie skonfigurowanych stopniach wzmocnienia dla kanałów pracujących parami jako różnicowe czyli odpowiednio 1-2, 3-4, 5-6, 7-8).

np.

Dozwolona jest praca:

Kanały aktywne:

Kanał 1 - różnicowo
Kanał 3 - różnicowo

Wzmocnienia:

Kanał 1 wzm = x1
Kanał 2 wzm = x1
Kanał 3 wzm = x10
Kanał 4 wzm = x10

Natomiast niedozwolona:

Kanał 1 wzm = x1
Kanał 2 wzm = x1
Kanał 3 wzm = x1 !!! błąd
Kanał 4 wzm = x10 !!! błąd

Odznaczenie pola 'Praca różnicowa' przywraca konfigurację kanałów jako normalne (próbkowanie potencjału wejścia względem masy analogowej AGND).

Kanały analogowe aktywne

Lista ta umożliwia włączenie lub wyłączenie z procesu akwizycji konkretnych kanałów analogowych. Włączenie przeprowadzane jest poprzez zaznaczenie pola 'Aktywny' kanału włączanego do akwizycji (wyświetlenie napisu 'Tak').
Wyłączenie kanału jest dokonywane poprzez ponowne zaznaczenie pola 'Aktywny' Wybranego kanału (wyświetlenie napisu 'Nie')

Polecenie: Parametry akwizycji - Wyzwalanie (menu Akwizycja)

Użycie tego polecenia otwiera okno 'Parametry akwizycji' umożliwiające określenie parametrów charakterystycznych wyzwalania próbkowania wejść analogowych.

Parametry akwizycji

Ustalane parametry:

Zbocze:

Narastające - wyzwalanie zmianą sygnału wyzwalającego z poniżej na powyżej wartości określonej jako próg.
Opadające - wyzwalanie zmianą sygnału wyzwalającego z powyżej na poniżej wartości określonej jako próg.
Automatyczne - wyzwalanie pierwszą odebraną wartością sygnału wyzwalającego

Typ:

Analogowy - wyzwalanie następuje w wyniku spełnienia warunku określonego przez wybór parametru 'Zbocze' na kanale analogowym określonym parametrem 'Kanał'.
Cyfrowy - wyzwalanie następuje w wyniku spełnienia warunku określonego przez wybór parametru 'Zbocze' na wejściu cyfrowym DIGINx określonym parametrem 'Kanał', przy czym:

Kanał określony jako wyzwalający | Wejście cyfrowe wyzwalające
Kanał1 | DIGIN 1
Kanał2 | DIGIN 2
Kanał3 | DIGIN 3
Kanał4 | DIGIN 4
Kanał5 | DIGIN 5
Kanał6 | DIGIN 6
Kanał7 | DIGIN 7
Kanał8 | DIGIN 8

Kanał:

Określa źródło sygnału wyzwalającego zgodnie z rodzajem określonym parameterem 'Typ'.

Próg:

Umożliwia ustalenie - dla typu wyzwalania określonego jako analogowe - poziomu sygnału przyjętego jako próg wyzwalania, wartość przyjmowaną jako progowa zgodnie z parametrem 'Zbocze'.

Polecenie: Start (menu Akwizycja)

Użycie tego polecenia uruchamia tryb oscyloskopowy z parametrami określonymi w oknie parametry akwizycji i wyzwalanie.
Ponowne wybranie tego polecenia zatrzymuje tryb oscyloskopowy.

Skrót z paska narzędzi: Start trybu oscyloskopowego

Skrót z klawiatury: CTRL + T

Polecenie: Rejestracja (menu Akwizycja)

Użycie tego polecenia uruchamia tryb rejestracji z parametrami określonymi w oknie parametry akwizycji i wyzwalanie.
Zakończenie rejestracji następuje w wyniku:
a) ponowne wybranie polecenia 'Rejestracja'
b) zakończenia rejestracji zgodnie z zadanymi parametrami (rzeczywisty czas rejestracji równy zadanemu czasowi rejestracji)
c) przepełnienia bufora rejestracji z powodu zbyt wolnej transmisji pomiędzy PC a MC812.

Powodem tego błędu może byc zbyt mała moc obliczeniowa konkretnego komputera PC, lub przeciążenie systemu operacyjnego (zbyt duża ilość oprogramowania pracującego 'w tle'). Poprawę sytuacji może przynieść zmniejszenie częstotliwości próbkowania, analiza oprogramowania pracującego w systemie jednocześnie z programem Wizualizacja trakcie trwania rejestracji (np. programów korzystających na bieżąco z twardego dysku) lub... zwiększenie mocy obliczeniowej komputera.

Wystąpienie tego błedu powoduje wyświetlenie komunikatu 'Nastąpiło nadpisanie danych w buforze karty'.
Po zatwierzeniu komunikatu o błędzie możliwa jest analiza danych zebranych do momentu wystąpienia błędu.

Skrót do uruchomienia rejestracji z paska narzędzi: Start rejestracji

Polecenie: Zarejestrowane parametry (menu Akwizycja)

Wybranie tego polecenia powoduje wyświetlenie okna informującego o zarejestrowanych parametrach akwizycji dla danej chwili pracy programu.

Zarejestrowane parametry

Rejestrowane są wszystki informacje związane z parametrami akwizycji oraz informacje o rozmiarze pliku dyskowego utworzonego (lub potencjalnie możliwego do utworzenia) z aktualnie zebranych danych.


Menu Generacja

Polecenie: Generuj wg wzoru wyjście analogowe
Polecenie: Generuj z pliku wyjście analogowe
Polecenie: Generuj z pliku wyjście cyfrowe
Polecenie: Generator

Polecenie: Generuj wg wzoru wyjście analogowe (menu Generacja)

Użycie tego polecenia otwiera okno 'Generacja przebiegów' umożliwiające określenie parametrów go generowania przebiegu na wyjściu analogowym w oparciu o przetwarzanie przebiegów z wejść analogowych.

Okno: Generacja przebiegu

Dostępne są trzy typy wzorów:

Y = A*X+B
Y = A*ln(B*X)
Y = A*exp(B*X)

Parametry do przetwarzania podawane są w następujący sposób:

1) Wybór typu wzoru
2) Uaktywnienie kanałów wejściowych będących składowymi do generacji X
3) Określenie współczynników 'wagi' dla każdego z wybranych kanałów wejściowych analogowych Wx
4) Określenie współczynników A i B zgodnie z wybranym wzorem
5) Określenie częstotliwości próbkowania wejść analogowych
6) Określenie typu próbkowania kanałów (pojedynczo lub różnicowo)

Rozpoczęcie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Start generacji'.
Zakończenie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Stop generacji'.

Polecenie: Generuj z pliku wyjście analogowe (menu Generacja)

Użycie tego polecenia otwiera okno 'Otwórz plik' umożliwiające określenie pliku dyskowego zawierającego dane do generowania przebiegu na wyjściu analogowym.
Po wybraniu pliku zawierającego dane otwiera się okno umożliwiające określenie pozostałych parametrów generacji

Generacja z pliku

Rozpoczęcie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Start generacji'.
Zakończenie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Stop generacji'.

Format pliku do generacji:

Plik typu ASCII z rozszerzeniem .dat
Kolumna liczb zmiennoprzeninkowych (typ float) z zakresu -5.0 do +5.0 (wyskalowanych w rzeczywistych wartościach wyjścia w woltach).
W pakiecie oprogramowania 'Wizualizacja' dostępny jest plik przykładowy do generacji wyjścia analogowego.

Polecenie: Generuj z pliku wyjście cyfrowe (menu Generacja)

Użycie tego polecenia otwiera okno 'Otwórz plik' umożliwiające określenie pliku dyskowego zawierającego dane do generowania przebiegu na wyjściu cyfrowym.
Po wybraniu pliku zawierającego dane otwiera się okno umożliwiające określenie pozostałych parametrów generacji

Generacja z pliku

Rozpoczęcie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Start generacji'.
Zakończenie generacji zgodnie z zadanymi parametrami rozpoczyna się po przyciśnięciu przycisku 'Stop generacji'.

Format pliku do generacji:

Plik typu ASCII z rozszerzeniem .dat
Kolumna liczb stałoprzecinkowych (typ char) heksadecymalnych z zakresu 0 do ff (określających stan poszczególnych wyjść DIGOUT dla kolejnych uaktualnień wyjść cyfrowych - zgodnie z zadaną częstotliwością generacji, przy czym najmłodszy bit każdej liczby określa stan wyjścia DIGOUT 1 a najstarszy bit określa stan wyjścia DIGOUT 8).
W pakiecie oprogramowania 'Wizualizacja' dostępny jest plik przykładowy do generacji wyjść cyfrowych.

Polecenie: Generator (menu Generacja)

Generacja z pliku

Użycie tego polecenia otwiera okno 'Generator' umożliwiające określenie parametrów przebiegu do generacji na wyjściu analogowym.

Dostępne są trzy standardowe typy przebiegów:

- przebieg sinusoidalny
- przebieg prostokątny
- przebieg trójkątny (piłokształtny)

Elementy sterujące okna pozwalają na określenie następujących parametrów generowanych przebiegów:

Amplituda - amplituda składowej zamiennej generowanego przebiegu
Składowa stała - amplituda składowej stałej generowanego przebiegu
Częstotliwość - częstotliwość generowanego przebiegu

Dodatkowo:

- dla przebiegu prostokątnego możliwa jest modyfikacja współczynnika wypełnienia generowanego przebiegu prostokątnego (w zakresie 0-100%)

Generacja z pliku

- dla przebiegu trójkątnego możliwa jest modyfikacja współczynnika nachylenia ramion generowanego przebiegu trójkatnego (w zakresie 0-100%)

Generacja z pliku


narzedzia

Menu Narzędzia

Polecenie: Wyświetlaj kanały
Polecenie: Ustaw jako aktywny
Polecenie: Ustaw opis prawej osi dla
Polecenie: Zamień aktywny kanał
Polecenie: Siatka
Polecenie: Autoskala
Polecenie: Wyrównaj skale Y
Polecenie: Połącz skale Y
Polecenie: Ustal zero skali X
Polecenie: Ustal zero skali Y
Polecenie: Znaczniki
Polecenie: Właściwości

Polecenie: Wyświetl kanały (menu Narzędzia)

Wybranie tej opcji daje możliwość wyboru kanałów które mają być wyświetlane.Włączenie opcji dla danego kanału powoduje jego wyświetlenie w obszarze wykresu.Wyłączenie opcji powoduje ukrycie wykresu dla danego kanału.

Polecenie: Ustaw jako aktywny (menu Narzędzia)

Wybranie tej opcji daje możliwość wyboru aktywnego kanału. Opis osi Y dla tego kanału jest automatycznie przyjmowany jako przypisywany lewej stronie okna wykresu (z zachowaniem koloru opisu skali identycznego z kolorem wykresu kanału wybranego jako aktywny).
Wszystkie operacje przeskalowywania i przesuwania wykresu po ekranie będą się odnosiły do kanału wybranego jako aktywny, chyba, że wybrana jest opcja Połącz skale Y

Skróty z klawiatury:

1 - wybiera jako aktywny kanał 1
2 - wybiera jako aktywny kanał 2
3 - wybiera jako aktywny kanał 3
4 - wybiera jako aktywny kanał 4
5 - wybiera jako aktywny kanał 5
6 - wybiera jako aktywny kanał 6
7 - wybiera jako aktywny kanał 7
8 - wybiera jako aktywny kanał 8

Polecenie: Ustaw opis prawej osi dla (menu Narzędzia)

Wybranie tej opcji daje możliwość wyboru kanału, którego opis skali Y umieszczony będzie po prawej stronie okna wykresu. (z zachowaniem koloru opisu skali identycznego z kolorem wykresu kanału wybranego tym poleceniem).

Skróty z klawiatury:

(CTRL+1) - wybiera prawy opis dla kanału 1
(CTRL+2) - wybiera prawy opis dla kanału 2
(CTRL+3) - wybiera prawy opis dla kanału 3
(CTRL+4) - wybiera prawy opis dla kanału 4
(CTRL+5) - wybiera prawy opis dla kanału 5
(CTRL+6) - wybiera prawy opis dla kanału 6
(CTRL+7) - wybiera prawy opis dla kanału 7
(CTRL+8) - wybiera prawy opis dla kanału 8

Polecenie: Zamień aktywny kanał (menu Narzędzia)

Wybranie tej opcji daje możliwość zamiany miejscami kanałów których opisy skali Y umieszczone są po lewej i prawej stronie okna wykresu. Po wybraniu tego polecenia, kanał którego opis znajdował się po prawej stronie staje się kanałem aktywnym
- jego opis przenoszony jest na lewą stronę wykresu, natomiast kanał do tej pory aktywny staje się niekatywnym z opisem po prawej stronie okna wykresu.

Polecenie: Siatka (menu Narzędzia)

Wybranie tej opcji daje możliwość włączania i wyłączania siatki ułatwiającej analizę wykresu.

Polecenie: Autoskala (menu Narzędzia)

Wybranie tej opcji daje możliwość autoskalowania wykresu. Po autoskalowaniu skala osi Y aktywnego kanału wykresu zostaje przeliczona w spsób gwarantujący najlepszy możliwy widok kształtu wykresu kanału aktywnego.

Przed poleceniem:
Autoskala

Po poleceniu:
Autoskala

Przy wcześniejszym wybraniu opcji Połącz skale Y skalowaniu ulegają wszystkie kanały.

Polecenie: Wyrównaj skale Y (menu Narzędzia)

Wybranie tej opcji daje możliwość zrównania skal wszystkich wyświetlonych wykresów ze skalą kanału aktywnego.

Polecenie: Połącz skale Y (menu Narzędzia)

Wybranie tej opcji daje możliwość jednoczesnego skalowania i przesuwania względem osi Y wykresów wszystkich kanałów. Wyłączenie tej opcji przywraca sytuację w której operacje skalowania, przesuwania i autoskalowania dotyczą tylko kanału aktywnego

Polecenie: Ustal zero skali X (menu Narzędzia)

Wybranie tej opcji przesunięcie osi X (osi czasu) wykresów do poziomu "zero" ustalonego dla lewej krawędzi obszaru kreślenia wykresów. Umożliwa to łatwe sprowadzenie wykresu do pozycji odpowiadającej początkowi procesu akwizycji danych leżącej na początku obszaru kreśleni wykresu.

Polecenie: Ustal zero skali Y (menu Narzędzia)

Wybranie tej opcji przesunięcie osi Y (osi wielkości mierzonej) wykresów do poziomu "zero" ustalonego dla połowy obszaru kreślenia wykresu. Umożliwa to łatwe sprowadzenie wykresu do pozycji odpowiadającej zerowej wartości wielkości mierzonej leżącej w środku obszaru kreślenia wykresu widocznego na ekranie.
Operacja ta jest przeprowadzona dla kanału aktywnego chyba że wybrano opcję połączenia skal Y wykresów.

Polecenie: Znaczniki (menu Narzędzia)

Wybranie tej opcji włącza funkcję znaczników umożliwiających dokładną analizę wartości liczbowych poszczególnych punktów wykresów. Możliwa jest obserwacja wartości względem osi X , osi Y i przyrostów wartości pomiędzy znacznikami względem każdej z tych osi.
Aby wyświetlić okno znaczników należy wybrać polecenie Okno znaczników (menu Widok).

Zobacz także: Okno znaczników


Menu Okna

Polecenie: Nowe okno
Polecenie: Kaskada
Polecenie: Sąsiadująco
Polecenie: Uporządkuj ikony
Polecenie: 1,2,3....

Polecenie: Nowe okno (menu Okna)

Użyj tego polecenia do otwarcia nowego okna zawierającego widok bieżącego dokumentu. Możesz otworzyć wiele okien pokazujących różne fragmenty analizowanego przebiegu w tym samym czasie.

Polecenie: Kaskada (menu Okna)

Użyj tego polecenia aby uporządkować otwarte okna kaskadowo

Polecenie: Sąsiadująco (menu Okna)

Użyj tego polecenia w celu uporządkowania otwartych okien sąsiadująco

Polecenie: Uporządkuj ikony (menu Okna)

Użyj tego polecenia do uporządkowania zminimalizowanych okien u dołu głównego okna aplikacji. Ikony tych okien mogą zostać zasłonięte, przez otwarte w obrębie aplikacji okno.

Polecenie: 1,2,3,.... (menu Okna)

W menu Okna zostaje wyświetlona lista obecnie otwartych okien, ułatwiając przechodzenie od jednego okna do drugiego. W przypadku gdy zostanie otwarte więcej niż 10 okien pojawia się komenda 'Więcej okien', która powoduje otwarcie okna dialogowego zawierającego listę wszystkich otwartych okien i umożliwiającego aktywację dowolnego z nich.


Menu Pomoc

Polecenie: Tematy pomocy
Polecenie: O programie

Polecenie: Tematy pomocy (menu Pomoc)

Użyj tego polecenia w celu uzyskania dostępu do spisu treści tego systemu pomocy, jak również do narzędzi umożliwiających wyszukiwanie potrzebnych informacji.

Polecenie: O programie (menu Pomoc)

Użyj tego polecenia do otwarcia okna dialogowego zawierającego informacje o aktualnej wersji aplikacji.


paski

 Pasek narzędzi (menu Widok)

Pasek narzędzi jest wyświetlany w poprzek okna aplikacji dając szybki dostęp do najczęściej używanych poleceń WIZUALIZACJI.
W celu wyświetlenia lub ukrycia paska narzędzi użyj polecenia Pasek narzędzi (menu Widok)

Wybierz.... | Aby...
 | otworzyć nowy dokument z domyślnymi ustawieniami
 | otworzyć dokument uprzednio zapisany na dysku
 | zapisać aktualnie edytowany dokument
 | wydrukować aktualnie edytowany dokument
 | rozpocząć pracę w trybie oscyloskopowym
 | rozpocząć akwizycję danych w trybie rejestracji
 | uzyskać informacje o programie
 | wyświetlić listę tematów pomocy
 | zamienić aktywny kanał z kanałem opisującym prawą oś Y
 | włączyć i wyłączyć siatkę na wykresie
 | wykonać autoskalowanie wykresu względem aktualnego kanału
 | wyrównać skale osi Y względem aktualnego kanału
 | wyzerować położenie osi Y wykresu
 | wyzerować położenie osi X wykresu
 | połączyć i rozłączyć skalę Y dla aktywnych kanałów

Pasek stanu (menu Widok)

Pasek stanu jest wyświetlany w dolnej części okna aplikacji pozwalając na dostęp do szybkich podpowiedzi systemu pomocy WIZUALIZACJI oraz śledzenie aktualnego stanu programu.
W celu wyświetlenia lub ukrycia paska stanu użyj polecenia Pasek stanu (menu Widok)